;$OWNER=baxgrp
;#include "/opt/topspin/exp/stan/nmr/lists/pp/bits.jlb"
;#include "Grad.incl"
;#include "De.incl"
;#include "Delay.incl"


; Pulse sequence : HACAN 3D with CH2-TROSY detection
; Author         : J Lorieau
; Date           : Nov 4 2010

#define H f1
#define C f2
#define N f3
#define D f5

; Deuterium Decoupler codes  Check these for your spectrometer!

#define BLKGRAD  setnmr3^0 setnmr0^34^32^33 ctrlgrad 7
#define UNBLKGRAD setnmr3|0 setnmr0|34|32|33 ctrlgrad 0

#define BLKGRAMP setnmr0^34^32^33 ctrlgrad 7
#define UNBLKGRAMP setnmr0|34|32|33 ctrlgrad 0

#define H2_LOCK h2lock         ;setnmr4^24 or interleave_incr
#define H2_PULSE h2pulse       ;setnmr4|24 or interleave_incr

#define LOCKDEC_ON setnmr4|28
#define LOCKDEC_OFF setnmr4^28

#define LOCKH_ON setnmr3|0
#define LOCKH_OFF setnmr3^0


"d2=1.68m-p21"
"d3=1.17m-p22-p11"
"d4=790u-p23-p11"
"d6=400u-p24"
"d7=400u-p25"
"d11=50m"
"d12=1m"

"d19=419u-p19-5u"

"d0=10u"
"d8=12.5m-d0-3u-p11*2 -p26-200u-0.5*p13"
"d10=12.5m-p11*2-5u-0.5*p13"
"d20=1.5*in20 -p11*2 -3u -0.634*p7"

"in10=in0"

1      ze
       10u LOCKDEC_ON
       10u H2_PULSE
2      10u do:N
3      d12 do:C
4      1m do:N do:C
       10u H2_LOCK
7      1m BLKGRAD
       10u do:N
       d1 
       1m UNBLKGRAD
       10u pl1:H
       10u pl7:N
       10u pl4:C
       10u H2_PULSE
       10u pl5:D
;--INEPT transfer to attached N
;goto 70
21     (p1 ph0):H
       5u
       p21:gp21       
       d2
       (center (p1*2 ph0):H (p11*2:sp11 ph0):f2)
       5u
       p21:gp21       
       d2
       (p1 ph6):H
       5u 
       p20:gp20       ;crusher gradient
       200u

;-- refocus
       (p10:sp10 ph17):f2
       5u
       p19:gp19
       d19
       (center (p1*2 ph0):H (p11*2:sp11 ph0):f2)      
       5u
       p19:gp19
       d19
       (p10:sp10 ph0):f2

; CA-N HSQC
       12.5m
       (center (p11*2:sp11 ph0):f2 (p7*2 ph0):f3)
	     12.3m

       (p10:sp10 ph0):f2
       5u
       p20*0.8:gp20
       195u pl7:f3

       10u pl5:D
       (p29 ph5):D  ; 2H 90
       (10u ph0):D
       10u cpds5:D
       10u

; N evolution
       (p7 ph15):f3

       d20
       (center (p11*2:sp11 ph0 6u p11*2:sp12 ph0):f2)
       d20

       (p7 ph0):f3
       5u
       5u do:D
       (p29 ph6):D  ; 2H 90
       5u
       p20*0.6:gp20
       195u
 

       (p10:sp10 ph0):f2

;Constant time evolution
       d0
       3u
       (p11*2:sp12 ph0):f2   ; CO 180
       d8                  ; T
       p26:gp26*EA
       200u

       (center (p13:sp13 ph3):f2 (p7*2 ph0):f3) ; C-aliph 180, N 180
       d10
       (p11*2:sp12 ph0):f2
       5u

;--end N evolution
;--Rance Kay transfer back
70     (p1 ph0):H (p10:sp10 ph9):f2
       2u
       p22:gp22
       d3
       (center (p1*2 ph7):H (p11*2:sp11 ph0):f2)
       2u
       p22:gp22
       d3
       (p1 ph5):H (p10:sp10 ph5):f2
       2u
       p23:gp23
       d4
       (center (p1*2 ph0):H (p11*2:sp11 ph10):f2)
       2u
       p23:gp23
       d4
       (center (p1 ph0):H (p10:sp10 ph0):f2)
       4u
       p24:gp24       ;coherence decoding gradient
       d6
       (p1*2 ph0):H
       2u
       p25:gp25       ;coherence decoding gradient
88     3u
       d7
       2u 
       (2u ph0)
       go=2 ph31
       1m do:N 
       10u do:C
       1m BLKGRAMP
       d11 wr #0 if #0 zd

20u ip9*2
20u igrad EA
100u  iu1
lo to 3 times 2
100u ru1
20u id0
20u dd10
lo to 4 times l3 ;NLOOP
20u rd0
20u rd10

   20u ip15
   lo to 2 times 2
   10u id20
   10u ip31*2
   lo to 2 times l4
   10u rd20



10u
10u
1m BLKGRAD
exit


ph0=0
ph1=3
ph3= 0 0 1 1
ph5=1
ph6=3
ph7=0
ph8=1
ph9=0
ph10=0
ph14=0
ph15=0 0 0 0 2 2 2 2
ph17=(8) 5 1
ph31=0 2 2 0 2 0 0 2
